! { dg-do compile }
!
! PR fortran/18918
!
! Check parsing-diagnostics for coarrays
!
dimension :: d[*]   ! { dg-error "Missing array specification" }
codimension :: c(4) ! { dg-error "Missing array specification" }
integer :: a(1,2,3,5)[3,*]
real :: co[2,*]
codimension co[*] ! { dg-error "Duplicate CODIMENSION" }
real :: dim(2,3)
dimension dim(5) ! { dg-error "Duplicate DIMENSION" }
error stop
error stop 'Hello'
error stop 7
j = this_image(a,dim=3) ! { dg-error "not a valid dimension index" }
end

